#include <iostream>
using namespace std;
int main()
{
    int c1, c2, a1, a2, rezultat;
	cin>>c1>>c2;
	cin>>a1>>a2;
    while (a1>a2){
        if (a1-a2==1){
            rezultat = c1 + c2;
        }
        else{
            cout<<"nemoguce";
        }
    }
    while (a1<a2){
        if (a2-a1==1){
            rezultat = c2 + c1;
        }
        else{
            cout<<"nemoguce";
        }
    }
    if (a1==a2){
        rezultat = c1 + c2;
    }
    else{
        cout<<"nemoguce";
    }
    return 0;
}